package ufrn.imd;

import lombok.extern.java.Log;
import ufrn.imd.controller.Controller;
import ufrn.imd.domain.Account;
import ufrn.imd.domain.Client;
import ufrn.imd.utils.MachineState;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

import static ufrn.imd.utils.MachineState.*;
import static ufrn.imd.utils.NameSpace.HOST_DEPOSIT_SERVICE;

@Log
public class BankingClientApp {
    public static void main(String[] args) throws MalformedURLException, NotBoundException, RemoteException {

        MachineState mS = new MachineState();

        while(mS.quit()) {
            mS.render();
            mS.processEvents();
            mS.update();
        }

    }
}
